### Method

# Gegl Rectanglealign

#### Declaration [src]

    gboolean
    gegl_rectangle_align (
      GeglRectangle* destination,
      const GeglRectangle* rectangle,
      const GeglRectangle* tile,
      GeglRectangleAlignment alignment
    )

#### Description [src]

Aligns `rectangle` to a regular tile grid, of which `tile` is a representative tile, and stores the result in `destination`.

`alignment` can be one of:

GEGL_RECTANGLE_ALIGNMENT_SUBSET: Calculate the biggest aligned rectangle contained in `rectangle`.

GEGL_RECTANGLE_ALIGNMENT_SUPERSET: Calculate the smallest aligned rectangle containing `rectangle`.

GEGL_RECTANGLE_ALIGNMENT_NEAREST: Calculate the nearest aligned rectangle to `rectangle`.

`destination` may point to the same object as `rectangle` or `tile`.

Returns TRUE if the result is not empty.

#### Parameters

`rectangle`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the method.

`tile`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the method.

`alignment`

  Type: `GeglRectangleAlignment`

  A `GeglRectangleAlignment` value.

#### Return value

Type: `gboolean`

No description available.